package com.qmth.teachcloud.mark.service;

import com.qmth.teachcloud.mark.bean.answercard.AnswerCardSaveDomain;
import com.qmth.teachcloud.mark.bean.answercard.AnswerCardVo;
import com.qmth.teachcloud.mark.entity.ScanAnswerCard;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 题卡卡格式表 服务类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface ScanAnswerCardService extends IService<ScanAnswerCard> {

	ScanAnswerCard findByExamAndNumber(Long examId, Integer cardNumber);

	List<AnswerCardVo> cardList(Long examId, String coursePaperId);

	void cardSave(AnswerCardSaveDomain domain);

	void cardDelete(Long examId, Integer number);

}
